PLaSK library

Loading...
Searching...
No Matches
Public Types | List of all members
plask::MultiCustomFieldProperty< ValueT_2D, ValueT_3D, _ExtraParams > Struct Template Reference

Helper class which makes it easier to define property tags classes for multiple vectorial fields that can be interpolated. More...

`#include <plask/provider/providerfor.hpp>`

Inheritance diagram for plask::MultiCustomFieldProperty< ValueT_2D, ValueT_3D, _ExtraParams >:
[legend]
Collaboration diagram for plask::MultiCustomFieldProperty< ValueT_2D, ValueT_3D, _ExtraParams >:
[legend]

## Public Types
typedef size_t | EnumType
| Default value enumeration type.
Public Types inherited from plask::Property< MULTI_FIELD_PROPERTY, ValueT_2D, ValueT_3D, _ExtraParams... >
typedef ValueT_2D | ValueType2D
| Type of provided value in 2D space.
typedef ValueT_3D | ValueType3D
| Type of provided value in 3D space.
typedef VariadicTemplateTypesHolder< _ExtraParams... > | ExtraParams
| Extra parameters passed as arguments to provider to get value.

## Additional Inherited Members
Static Public Member Functions inherited from plask::Property< MULTI_FIELD_PROPERTY, ValueT_2D, ValueT_3D, _ExtraParams... >
static ValueType2D | getDefaultValue2D ()
| Return default value of the property (usually zero) in 2D space.
static ValueType3D | getDefaultValue3D ()
| Return default value of the property (usually zero) in 3D space.
Static Public Attributes inherited from plask::Property< MULTI_FIELD_PROPERTY, ValueT_2D, ValueT_3D, _ExtraParams... >
static const PropertyType | propertyType
| Type of property.
static constexpr const char * | NAME
| Name of the property.
static constexpr bool | hasUniqueValueType
| `true` only if property use same value type in 2D and 3D space

## Detailed Description

template<typename ValueT_2D, typename ValueT_3D, typename... _ExtraParams>
struct plask::MultiCustomFieldProperty< ValueT_2D, ValueT_3D, _ExtraParams >

Helper class which makes it easier to define property tags classes for multiple vectorial fields that can be interpolated.

Properties defined with this tag has another type of value in 2D and 3D space:

- ValueT_2D in 2D space,
- ValueT_3D in 3D space.

Property tag class can be subclass of this, but never should be typedefs to this (tag class for each property must be a separate class — always use different types for different properties).

Definition at line 324 of file providerfor.hpp.

## Member Typedef Documentation

## ◆ EnumType

template<typename ValueT_2D , typename ValueT_3D , typename... _ExtraParams>

typedef size_t plask::MultiCustomFieldProperty< ValueT_2D, ValueT_3D, _ExtraParams >::EnumType

Default value enumeration type.

Definition at line 326 of file providerfor.hpp.

The documentation for this struct was generated from the following file:

- plask/provider/providerfor.hpp